'use strict';

/**
 * Measure loadspeed of a website via PhantomJS.
 */

const proc = require('child_process');

exports.handler = (event, context, callback) => {
  if (!event.url) {
    return callback(new Error('url required'));
  }

  try {
    const args = ['loadspeed.js', JSON.stringify(event)];
    const loadspeed = proc.execFileSync('./phantomjs', args).toString();
    callback(null, { loadspeed });
  } catch(error) {
    callback(error);
  }
}
